com.independentsoft.exchange

## Enum SearchFolderTraversal

- java.lang.Object
- - java.lang.Enum<SearchFolderTraversal>
  - - com.independentsoft.exchange.SearchFolderTraversal

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SearchFolderTraversal>

      public enum SearchFolderTraversal
      extends java.lang.Enum<SearchFolderTraversal>

  Identifies the types of subtree traversals for deletion and enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEEP` Searches in all subfolders of the identified parent folder and returns only the folder IDs for items that have not been deleted.
    `SHALLOW` Searches only the identified folder and returns only the folder IDs for items that have not been deleted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SearchFolderTraversal` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SearchFolderTraversal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHALLOW

          public static final SearchFolderTraversal SHALLOW

      Searches only the identified folder and returns only the folder IDs for items that have not been deleted.

    - #### DEEP

          public static final SearchFolderTraversal DEEP

      Searches in all subfolders of the identified parent folder and returns only the folder IDs for items that have not been deleted.

  - ### Method Detail

    - #### values

          public static SearchFolderTraversal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchFolderTraversal c : SearchFolderTraversal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchFolderTraversal valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null